﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="xml" encoding="utf-16"/>

  <!--Fonts-->
  <xsl:variable name="Font_12">  font-size:  12pt; font-family: Arial</xsl:variable>
  <xsl:variable name="Font_10">  font-size:  10pt; font-family: Arial</xsl:variable>
  <xsl:variable name="Font_8">  font-size:  8pt; font-family: Arial</xsl:variable>
  <xsl:variable name="Font_6">  font-size:  6pt; font-family: Arial</xsl:variable>
  <xsl:variable name="Font_Hidden">  font-size:  0pt; color: white; font-family: Arial</xsl:variable>

  <xsl:variable name="FontDefault">    font-size:  8pt; font-family: Arial</xsl:variable>
  <xsl:variable name="FontSmall">    font-size:  6pt; font-family: Arial</xsl:variable>
  <xsl:variable name="FontTiny">     font-size:  1pt; font-family: Arial</xsl:variable>
  <xsl:variable name="FontTitle">    font-size: 7pt; font-family: Arial</xsl:variable>
  <xsl:variable name="FontPage">	   font-size: 10pt; font-family: Arial</xsl:variable>
  
  <!--Printing options-->
  <xsl:variable name="ReportHeader">Header of report</xsl:variable>
  <xsl:variable name="PrintReportHeader">0</xsl:variable>
  <xsl:variable name="PrintCollectionOwner">0</xsl:variable>
  <xsl:variable name="PrintReportTitle">1</xsl:variable>
  <xsl:variable name="PrintBarcode">0</xsl:variable>
  <xsl:variable name="AddSpaceAtButtom">1</xsl:variable>

  <!--Page format-->
  <xsl:variable name="Einzug">20</xsl:variable>
  <xsl:variable name="Space">
    <xsl:text> </xsl:text>
  </xsl:variable>

  <xsl:template match="/Export_DiversityTaxonNames">
    <style type="text/css">
      body { margin-left:70px; }
    </style>
    <html>
      <head>
        <title>Export DiversityTaxonNames</title>
      </head>
      <body style="{$FontDefault}">
        <xsl:call-template name="TaxonList"/>
      </body>
    </html>
  </xsl:template>

  <xsl:template name="TaxonList">
    <table cellspacing="0" cellpadding="0" width="800" border="0" style="{$FontDefault}">
      <tr height ="40">
        <th width="300" align="left">NameURI</th>
        <th width="400" align="left">Taxon</th>
        <th width="120" align="left">Synonymy</th>
      </tr>
      <xsl:for-each select="./TaxonList/Taxon">
        <xsl:call-template name="Taxon"/>
      </xsl:for-each>
    </table>
  </xsl:template>

  <xsl:template name="Taxon">
    <tr>
      <td style="{$Font_10}" align="left">
        <xsl:value-of select="../../Header/BaseURI"/><xsl:value-of select="NameID"/>
      </td>
      <td style="{$Font_10}" align="left">
        <xsl:if test="SynType = 'accepted name' or SynType = 'accepted'">
          <b>
            <xsl:value-of select="TaxonNameCache"/>
          </b>
        </xsl:if>
        <xsl:if test="SynType != 'accepted name' and  SynType != 'accepted'">
            <xsl:value-of select="TaxonNameCache"/>
        </xsl:if>
      </td>
      <td style="{$Font_10}" align="left">
        <xsl:if test="SynType = 'accepted name' or SynType = 'accepted'">
          Accepted
        </xsl:if>
        <xsl:if test="SynType != 'accepted name' and  SynType != 'accepted'">
          Synonym
        </xsl:if>

      </td>
    </tr>
  </xsl:template>


</xsl:stylesheet>